# For test builds, should be set to 0 for release builds.
%global alpha 0

Name:           flcluster
Version:        1.0.6
Release:        1%{?dist}
Summary:        Program for accessing dxcluster nodes

License:        GPL
URL:            http://w1hkj.com/
%if %{alpha}
Source0:        http://www.w1hkj.com/alpha/%{name}/%{name}-%{version}.tar.gz
%else
Source0:        http://www.w1hkj.com/files/%{name}/%{name}-%{version}.tar.gz
%endif

BuildRequires:  gcc-c++ make
BuildRequires:  desktop-file-utils
BuildRequires:  fltk-devel
%{?fedora:BuildRequires:  flxmlrpc-devel}


%description
flcluster can connect to and display data from DX cluster servers. The three
most common server types are A←- R-Cluster, CC-Cluster, and DX Spider. The
program is designed to work stand alone or as a helper application to fldigi.
It can move call, mode, and frequency data from a spotted QSO to the
appropriate fldigi controls. It can query fldigi for the same items when
generating a spot report.


%prep
%autosetup


%build
%configure
%make_build


%install
%make_install


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Wed Jan 20 2021 Richard Shaw <hobbes1069@gmail.com> - 1.0.6-1
- Update to 1.0.6.

* Wed Jan 20 2021 Richard Shaw <hobbes1069@gmail.com> - 1.0.5.01-1
- Update to 1.0.5.01.

* Sat Jan 16 2021 Richard Shaw <hobbes1069@gmail.com> - 1.0.5-1
- Initial packaging.
